package org.jugtrento.sga.dominio;

import org.jugtrento.sga.dominio.validazione.Targa;
import org.jugtrento.util.javaee6.persistenza.OggettoPersistenteImpl;
import java.util.SortedSet;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.validation.constraints.NotNull;

@Entity
public class Ambulanza extends OggettoPersistenteImpl {
	@NotNull
	private int numero;

	@Targa
	private String targa;

	@OneToMany(mappedBy = "ambulanza")
	private SortedSet<AttribuzioneAutista> autisti;

	public SortedSet<AttribuzioneAutista> getAutisti() {
		return autisti;
	}

	public void setAutisti(SortedSet<AttribuzioneAutista> autisti) {
		this.autisti = autisti;
	}

	public int getNumero() {
		return numero;
	}

	public void setNumero(int numero) {
		this.numero = numero;
	}

	public String getTarga() {
		return targa;
	}

	public void setTarga(String targa) {
		this.targa = targa;
	}
}
