package org.jugtrento.sga.persistenza;

import org.jugtrento.sga.dominio.Ambulanza;
import org.jugtrento.util.javaee6.persistenza.DAOBaseJPA2;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless
public class AmbulanzaDAOJPA2 extends DAOBaseJPA2<Ambulanza> implements AmbulanzaDAO {
	@PersistenceContext
	private EntityManager em;

	@Override
	protected EntityManager getEntityManager() {
		return em;
	}

	@Override
	protected Class<Ambulanza> getClasseDominio() {
		return Ambulanza.class;
	}
}
