package org.jugtrento.util.javaee6.persistenza;

import java.util.List;

public interface DAOBase<T extends OggettoPersistente> {
	long recuperareConteggio();

	List<T> recuperareTutti();

	List<T> recuperareAlcuni(int[] intervalo);

	T recuperarePerId(Long id);

	void salvare(T object);

	void cancellare(T object);
}
