package org.jugtrento.sga.controllo;

import java.util.List;
import javax.ejb.EJB;
import javax.enterprise.inject.Model;
import org.jugtrento.sga.applicazione.CrudAmbulanza;
import org.jugtrento.sga.dominio.Ambulanza;

@Model
public class CrudAmbulanzaAction {
	@EJB
	private CrudAmbulanza crudAmbulanza;

	private Ambulanza ambulanza = new Ambulanza();

	public Ambulanza getAmbulanza() {
		return ambulanza;
	}

	public List<Ambulanza> getElenco() {
		return crudAmbulanza.getElenco();
	}

	public void aggiornareElenco() {
		crudAmbulanza.aggiornareElenco();
	}

	public String creare() {
		crudAmbulanza.creare(ambulanza);
		return "/crudAmbulanza/elenco.xhtml";
	}
}
