package org.jugtrento.sga.dominio;

import org.jugtrento.util.javaee6.persistenza.OggettoPersistenteImpl;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
public class Intervento extends OggettoPersistenteImpl {
	@Temporal(TemporalType.TIMESTAMP)
	private Date orarioSpedizione;

	@Temporal(TemporalType.TIMESTAMP)
	private Date orarioArrivoEmergenza;

	@Temporal(TemporalType.TIMESTAMP)
	private Date orarioArrivoOspedale;

	@ManyToOne
	private ChiamataEmergenza chiamataEmergenza;

	@ManyToOne
	private Ambulanza ambulanza;

	public Ambulanza getAmbulanza() {
		return ambulanza;
	}

	public void setAmbulanza(Ambulanza ambulanza) {
		this.ambulanza = ambulanza;
	}

	public ChiamataEmergenza getChiamataEmergenza() {
		return chiamataEmergenza;
	}

	public void setChiamataEmergenza(ChiamataEmergenza chiamataEmergenza) {
		this.chiamataEmergenza = chiamataEmergenza;
	}

	public Date getOrarioArrivoEmergenza() {
		return orarioArrivoEmergenza;
	}

	public void setOrarioArrivoEmergenza(Date orarioArrivoEmergenza) {
		this.orarioArrivoEmergenza = orarioArrivoEmergenza;
	}

	public Date getOrarioArrivoOspedale() {
		return orarioArrivoOspedale;
	}

	public void setOrarioArrivoOspedale(Date orarioArrivoOspedale) {
		this.orarioArrivoOspedale = orarioArrivoOspedale;
	}

	public Date getOrarioSpedizione() {
		return orarioSpedizione;
	}

	public void setOrarioSpedizione(Date orarioSpedizione) {
		this.orarioSpedizione = orarioSpedizione;
	}
}
